Main Page Widgets Namespaces Book

# Glib::Source Class Reference
[The Main Event Loop]

Inheritance diagram for Glib::Source:

[legend]
List of all members.

## Public Types
typedef Glib::Source | CppObjectType
typedef GSource | BaseObjectType
## Public Member Functions
unsigned int | attach (const Glib::RefPtr<MainContext>& context)
unsigned int | attach ()
void | destroy ()
void | set_priority (int priority)
int | get_priority () const
void | set_can_recurse (bool can_recurse)
bool | get_can_recurse () const
unsigned int | get_id () const
Glib::RefPtr<MainContext> | get_context ()
GSource* | gobj ()
const GSource* | gobj () const
GSource* | gobj_copy () const
void | reference () const
void | unreference () const
## Static Public Member Functions
Glib::RefPtr<Source> | create ()
void | destroy_notify_callback (void* data)
## Protected Member Functions
| Source ()
| Construct an object that uses the virtual functions prepare(), check() and dispatch().
| Source (GSource* cast_item, GSourceFunc callback_func)
| Wrap an existing GSource object and install the given callback function.
virtual | ~Source ()
SigC::Connection | connect_generic (const SigC::SlotBase& slot)
void | add_poll (PollFD& poll_fd)
void | remove_poll (PollFD& poll_fd)
void | get_current_time (Glib::TimeVal& current_time)
virtual bool | prepare (int& timeout)=0
virtual bool | check ()=0
virtual bool | dispatch (SigC::SlotNode* slot_data)=0

## Member Typedef Documentation

typedef GSource Glib::Source::BaseObjectType

typedef Glib::Source Glib::Source::CppObjectType

| Reimplemented in Glib::TimeoutSource, Glib::IdleSource, and Glib::IOSource.

## Constructor & Destructor Documentation

Glib::Source::Source | ( |  | ) | `[protected]`

| Construct an object that uses the virtual functions prepare(), check() and dispatch().

Glib::Source::Source | ( | GSource* | cast_item,
|  | GSourceFunc | callback_func
| ) | `[protected]`

| Wrap an existing GSource object and install the given callback function. The constructed object doesn't use the virtual functions prepare(), check() and dispatch(). This ctor is for use by derived types that need to wrap a GSource object. The callback function can be a static member function. But beware! Depending on the actual implementation of the GSource's virtual functions the expected type of the callback function can differ from GSourceFunc.

virtual Glib::Source::~Source | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void Glib::Source::add_poll | ( | PollFD& | poll_fd | ) | `[protected]`

unsigned int Glib::Source::attach | ( |  | ) |

unsigned int Glib::Source::attach | ( | const Glib::RefPtr<MainContext>& | context | ) |

virtual bool Glib::Source::check | ( |  | ) | `[protected, pure virtual]`

| Implemented in Glib::TimeoutSource, Glib::IdleSource, and Glib::IOSource.

SigC::Connection Glib::Source::connect_generic | ( | const SigC::SlotBase& | slot | ) | `[protected]`

Glib::RefPtr<Source> Glib::Source::create | ( |  | ) | `[static]`

| Reimplemented in Glib::IdleSource.

void Glib::Source::destroy | ( |  | ) |

void Glib::Source::destroy_notify_callback | ( | void* | data | ) | `[static]`

virtual bool Glib::Source::dispatch | ( | SigC::SlotNode* | slot_data | ) | `[protected, pure virtual]`

| Implemented in Glib::TimeoutSource, Glib::IdleSource, and Glib::IOSource.

bool Glib::Source::get_can_recurse | ( |  | ) | const

Glib::RefPtr<MainContext> Glib::Source::get_context | ( |  | ) |

void Glib::Source::get_current_time | ( | Glib::TimeVal& | current_time | ) | `[protected]`

unsigned int Glib::Source::get_id | ( |  | ) | const

int Glib::Source::get_priority | ( |  | ) | const

const GSource* Glib::Source::gobj | ( |  | ) | const`[inline]`

GSource* Glib::Source::gobj | ( |  | ) | `[inline]`

GSource* Glib::Source::gobj_copy | ( |  | ) | const

virtual bool Glib::Source::prepare | ( | int& | timeout | ) | `[protected, pure virtual]`

| Implemented in Glib::TimeoutSource, Glib::IdleSource, and Glib::IOSource.

void Glib::Source::reference | ( |  | ) | const

void Glib::Source::remove_poll | ( | PollFD& | poll_fd | ) | `[protected]`

void Glib::Source::set_can_recurse | ( | bool | can_recurse | ) |

void Glib::Source::set_priority | ( | int | priority | ) |

void Glib::Source::unreference | ( |  | ) | const

The documentation for this class was generated from the following file:

- glib/glibmm/main.h